// Version 3.0.0

//###########################################################################
//###########################################################################
//####                                                                   ####
//####                           Olivier Pécheux                         ####
//####                          Olivier@Pecheux.fr                       ####
//####                         (33) +6 69 77 82 58                       ####
//####         http://dansetrad.fr/Orgue_de_barbarie/PecheuxGraph        ####
//####                                                                   ####
//###########################################################################
//###########################################################################


// Ceci est un complément aux pages de définition et d'explications de la
// librairie PecheuxGraph. Ce programme illustre l'utilisation de la fonction
// setDrawColor() décrite dans la page  
// http://dansetrad.fr/Orgue_de_barbarie/PecheuxGraph/Definition/setDrawColorExemple.html

// Ce programme montre comment récupérer la denière couleur utilisée
#include <PecheuxGraph.h>

void setup() 
{
  setGraphMode(PAYSAGE);
}

void loop()
{
  switch (random(3)) // Dessine avec une couleur au hasard
  { 
    case 0: fillRect(100,0,LARGEUR-100, 100, RED);
    break;
    case 1: fillRect(100,0,LARGEUR-100, 100, GREEN);
    break;
    case 2: fillRect(100,0,LARGEUR-100, 100, BLUE);
  }
  setTextColor(getDrawColor()); // Soit ceci; Pour écrire dans la dernière couleur utilisée
  textColor=drawColor; // Soit cela; Alternative pour écrire dans la dernière couleur utilisée
  setTextCursor(50,150); text("J'ai la couleur assortie!");

  delay(1000); // pour voir un défilement normal
}
