// Version 3.0.0

//###########################################################################
//###########################################################################
//####                                                                   ####
//####                           Olivier Pécheux                         ####
//####                          Olivier@Pecheux.fr                       ####
//####                         (33) +6 69 77 82 58                       ####
//####         http://dansetrad.fr/Orgue_de_barbarie/PecheuxGraph        ####
//####                                                                   ####
//###########################################################################
//###########################################################################


// Ceci est un complément aux pages de définition et d'explications de la
// librairie PecheuxGraph. Ce programme illustre Ceci est un complément aux pages de définition et d'explications de la librairie PecheuxGraph. Ce programme illustre
// l'utilisation de la fonction fill() décrite dans la page  
// http://dansetrad.fr/Orgue_de_barbarie/PecheuxGraph/Definition/fillTechnique.html

// Ce programme montre que si on a trop d'obstacles, fill() ne peut plus tout
// mémoriser et certaines zones ne sont pas remplies. On trace des lignes verticales
// qui ne vont pas jusqu'au bord, puis on remplit l'écran. Pour avoir quelque chose
// de différent à chaque fois, on initialise le générateur aléatoire avec un temps de
// réaction humain 

#include <PecheuxGraph.h>

void setup() 
{
  setGraphMode(PAYSAGE); // Obligatoire pour utiliser l'afficheur

  // Initialisation d'un vrai générateur pseudo-aléatoire
  text("Appuyez sur l'écran"); // Information pour ne pas mettre un écran noir
  while(!isTouch()); // On attend un temps variable
  randomSeed(micros()); // Initialisation avec une valeur qui ne sera jamais la même
  clrscr(); // Suppression du message
  
  for (int Nb=0; Nb<50; Nb++) // 50 lignes, à changer pour faire le test 
     // Obstacles n'allant pas jusquau bord:
     vLine(random(LARGEUR-2)+1, random(HAUTEUR-2)+1, random(HAUTEUR-2)+1, GREEN);
  fill(0, 0, GREEN); // Remplit l'écran, complètement si la pile est suffisante
}

void loop()
{
}


