// Version 3.0.0

//###########################################################################
//###########################################################################
//####                                                                   ####
//####                           Olivier Pécheux                         ####
//####                          Olivier@Pecheux.fr                       ####
//####                         (33) +6 69 77 82 58                       ####
//####         http://dansetrad.fr/Orgue_de_barbarie/PecheuxGraph        ####
//####                                                                   ####
//###########################################################################
//###########################################################################


// Ceci est un complément aux pages de définition et d'explications de la
// librairie PecheuxGraph. Ce programme illustre Ceci est un complément aux pages de définition et d'explications de la librairie PecheuxGraph. Ce programme illustre
// l'utilisation de la fonction LineTo() décrite dans la page  
// http://dansetrad.fr/Orgue_de_barbarie/PecheuxGraph/Definition/LineToExemple.html

// Pour dessiner une étoile, dessine le premier segment, puis
// on utilise des fonctions lineTo() pour aller rejoindre les 
// sommets les uns après les autres. Le dernier point rejoint
// est le point de départ. 

#include <PecheuxGraph.h>

void star(int x, int y, int couleur) // Dessine une étoile
{
  line(10+x,3+y,24+x,-8+y,couleur); lineTo(6+x,-8+y);
  lineTo(0+x,-25+y);        lineTo(-6+x,-8+y);
  lineTo(-24+x,-8+y);       lineTo(-10+x,3+y);
  lineTo(-15+x,20+y);       lineTo(0+x,10+y);
  lineTo(15+x,20+y);        lineTo(10+x,3+y);
}

void setup() 
{
  setGraphMode(PAYSAGE);
  star(DEMI_LARGEUR, DEMI_HAUTEUR,CYAN);
}


void loop()
{
}
