// Version 3.0.0

//###########################################################################
//###########################################################################
//####                                                                   ####
//####                           Olivier Pécheux                         ####
//####                          Olivier@Pecheux.fr                       ####
//####                         (33) +6 69 77 82 58                       ####
//####         http://dansetrad.fr/Orgue_de_barbarie/PecheuxGraph        ####
//####                                                                   ####
//###########################################################################
//###########################################################################


// Ceci est un complément aux pages de définition et d'explications de la
// librairie PecheuxGraph. Ce programme illustre l'utilisation de la fonction
// pourBoutonTexte() décrites dans la page
// http://dansetrad.fr/Orgue_de_barbarie/PecheuxGraph/Definition/pourBoutonTexteExemple.html

// Mise em place d'un simple bouton de type PushZone à l'aide des données
// fournies par pourBoutonTexte()

#include <PecheuxGraph.h> // Appel de la bibliothèque 

PushZone XXXXXXXXX(131, 114, 211, 138); // Mise en place du bouton affichant "Bonjour"

void remplit(void)
{
  fill(132, 115, RANDOM_COLOR);
}


void setup()
{
  setGraphMode(PAYSAGE); // Initialisation de la carte, pour utiliser fillRect()

  // Dessin du bouton affichant "Bonjour"
  rect(131, 114, 211, 138); // Fond
  fillRect(132, 115, 210, 137, ~drawColor); // Cadre autour
  setTextCursor(134, 118); // Mise en place du nom
  text(F("Bonjour")); // Nom du bouton

  XXXXXXXXX.onSelectFunction = &remplit;
}


void loop()
{
  scanEvent(); // Gestion des boutons et des horloges, le plus souvent seul dans le loop
}
